---
title: Check iMessage Availability | API Docs
---

POST

/api/partner/v2/i\_message\_availability/check

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/i_message_availability/check';
const options = {
  method: 'POST',
  headers: {
    'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>',
    'Content-Type': 'application/json'
  },
  body: '{"phone_number":"+15551234567"}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request POST \
  --url https://api.linqapp.com/api/partner/v2/i_message_availability/check \
  --header 'Content-Type: application/json' \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>' \
  --data '{ "phone_number": "+15551234567" }'
```

- Production server api.linqapp.com/api/partner/v2/i\_message\_availability/check

Checks if a phone number is registered with iMessage.

**Rate Limit:** This endpoint is limited to 1 request per 10 seconds. Exceeding this limit will result in a `429` error response.

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Request Body required

Media type application/json

object

**phone\_number**

required

string

##### Example

```
+15551234567
```

## Responses

### 200

Successful response

Media type application/json

object

**available**

boolean

**phone\_number**

string

##### Example

```
{
  "available": true,
  "phone_number": "+15551234567"
}
```
